summaryrefslogtreecommitdiff
path: root/doc/format-pdf
diff options
context:
space:
mode:
Diffstat (limited to 'doc/format-pdf')
-rwxr-xr-xdoc/format-pdf19
1 files changed, 19 insertions, 0 deletions
diff --git a/doc/format-pdf b/doc/format-pdf
new file mode 100755
index 0000000..6915245
--- /dev/null
+++ b/doc/format-pdf
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -eu
+
+output="$1"
+shift
+
+pandoc --smart \
+ --toc \
+ --chapters \
+ --number-sections \
+ -Vdocumentclass:report \
+ -Vgeometry:a4paper \
+ -Vfontsize:12pt \
+ -Vmainfont:FreeSans \
+ -Vsansfont:FreeSans \
+ -Vmonofont:FreeMonoBold \
+ --latex-engine=xelatex \
+ -o "$output" "$@"